{
  inputs,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ./hardware-configuration.nix
    ./../../nixos/system/home-manager.nix
    ./../../nixos/system/user-configuration.nix
    ./../../nixos/system/desktop-environment.nix
    ./../../nixos/system/audio.nix
    ./../../nixos/system/fonts.nix
    ./../../nixos/system/input-devices.nix
    ./../../nixos/system/networking.nix
    ./../../nixos/system/bluetooth.nix
    ./../../nixos/system/display-manager.nix
    ./../../nixos/system/security-and-privacy.nix
    ./../../nixos/system/stylix.nix
    ./../../nixos/system/system-settings.nix
    ./../../nixos/system/asus.nix
    ./../../nixos/system/neovim.nix
    ./../../nixos/system/system-packages.nix
    ./../../nixos/system/steam.nix
  ];

  # Global configuration
  nix.settings.experimental-features = ["nix-command" "flakes"];
  system.stateVersion = "24.11"; # Did you read the comment?
}
